/* dd.h : Fonctions DirectDraw non spcifiques au jeu */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_DD_H
#define __INC_DD_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


#include <ddraw.h>							//Pour les types LPDIRECTDRAW, LPDIRECTDRAWSURFACE et BOOL


#define RES_X		640						// |
#define RES_Y		480						// |-> Rsolution
#define RES_BITS	16						// |

extern LPDIRECTDRAW			g_lpDD;			// Objet DirectDraw
extern LPDIRECTDRAWSURFACE	g_lpDDSBack;	// Back buffer
extern BOOL					g_bFullScreen;	// Plein cran?


BOOL DDInit(void);							//Initialise DDraw
void DDClose(void);							//Ferme DDraw
void DDUpdate(void);						//Rafraichit l'cran


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_DD_H