/* dsutil.h : Fonctions DirectSound pratiques */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_DSUTIL_H
#define __INC_DSUTIL_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


#include <dsound.h>										//Pour les types


//Vrifie un rsultat revoy par une fonction DirectSound
BOOL DSCheck( HRESULT hr, const char *format, ... );
//Joue un buffer DS
BOOL DSPlay( LPDIRECTSOUNDBUFFER lpDSB );
//Transforme un fichier wave ou une resource (avec MAKEINTRESOURCE) en un buffer directsound
LPDIRECTSOUNDBUFFER DSLoadWave( LPSTR lpName );
//Idem avec les fichiers mpeg (.mp3)
LPDIRECTSOUNDBUFFER DSLoadMpeg( LPSTR szName );


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_DSUTIL_H