/* metrics.h : Gestion de la taille et de la postion des sprites (pour les skins) */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_METRICS_H
#define __INC_METRICS_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


extern int g_metricsBlockW,	//Largeur des blocks de tetris
	g_metricsBlockH,		//Hauteur "   "      "  "
	g_metricsBlockX,		//Abscisse du bloc en haut  gauche
	g_metricsBlockY,		//Ordonnee "  "    "  "    " "
	g_metricsNextX,			//
	g_metricsNextY,			//etc...
	g_metricsNumberW,
	g_metricsNumberH,
	g_metricsScoreX,
	g_metricsScoreY,
	g_metricsLinesX,
	g_metricsLinesY,
	g_metricsBestX,
	g_metricsBestY,
	g_metricsLevelX,
	g_metricsLevelY,
	g_metricsSpeedX,
	g_metricsSpeedY,
	g_metricsPauseX,
	g_metricsPauseY,
	g_metricsPauseW,
	g_metricsPauseH;


/* Charge les metrics
 *	Args:
 *    -path : NULL pour charger les metrics par dfaut, ./SKIN/XXX pour charger le skin XXX
 */
void LoadMetrics(char *path);


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_METRICS_H
