/* ddutil.h : Fonctions DirectDraw trs pratiques */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_DDUTIL_H
#define __INC_DDUTIL_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


// Vrifie un rsultat revoy par une fonction directdraw
BOOL DDCheck(HRESULT hr, const char *format, ... );

// Transforme un fichier .bmp en une surface DirectDraw
LPDIRECTDRAWSURFACE DDLoadBitmap( LPCSTR szBitmap, int width, int height);

// Idem avec .jpg
LPDIRECTDRAWSURFACE DDLoadJpeg( LPCSTR szJpeg );


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_DDUTIL_H