/* game.h : Gestion du jeu de Tetris */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_GAME_H
#define __INC_GAME_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


#include <windows.h>


extern BOOL g_bPause;
extern int g_blocks2draw[10][18];
extern int g_next[4][4];
extern int g_score;
extern int g_lines;
extern int g_best;
extern int g_level;
extern int g_speed;
extern unsigned int g_uTimer;

// Boucle de jeu
void GameLoop(void);

//Pression des diffrentes touches
void OnKeyLeft(void);
void OnKeyRight(void);
void OnKeyUp(void);
void OnKeyDown(void);
void OnKeyReturn(void);
void OnKeyF1(void);
void OnKeyF2(void);
void OnKeyF3(void);
void OnKeyF4(void);
void OnKeyF5(void);
void OnKeyF6(void);
void OnKeyF7(void);
void OnKeyF8(void);


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_GAME_H