/* jpeg.h : Fonctions pour dcoder les fichiers jpeg */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_JPEG_H
#define __INC_JPEG_H


#include <windows.h>


#ifdef __cplusplus
extern "C"
{
#endif //__cplusplus


//Charge un jpg depuis un fichier
BOOL JpegLoadFromFile		(
							char	*filename,	// (IN)  Nom du fichier
							HGLOBAL	*phmemBuf,	// (OUT) Buffer de l'image
							int		*piWidth,	// (OUT) Largeur de l'image
							int		*piHeight,	// (OUT) Hauteur de l'image
							int		*piBpp,		// (OUT) BPP de l'image
							DWORD	*pdwSize	// (OUT) Taille du buffer
							);

//Charge un jpg depuis un buffer
BOOL JpegLoadFromBuffer		(
							char	*pbuffer,	// (IN)  pointer to buffer
							int		buffer_size,// (IN)  buffer size
							HGLOBAL	*phmemBuf,	// (OUT) Buffer de l'image
							int		*piWidth,	// (OUT) Largeur de l'image
							int		*piHeight,	// (OUT) Hauteur de l'image
							int		*piBpp,		// (OUT) Nombre de bits/pixel de l'image
							DWORD	*pdwSize	// (OUT) Taille du buffer
							);


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_JPEG_H