/* sounds.h : Gestion des sons du jeu */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_SOUNDS_H
#define __INC_SOUNDS_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


#include <windows.h>


extern BOOL g_bSounds;			// Est-ce que les sons sont activs?


/* Charge tous les sons 
 * (path : NULL pour les sons du skin par dfaut, "./SKINS/XXX" pour le skin XXX )
 */
BOOL LoadSounds(char *path);

// Dcharge les sons
void UnloadSounds(void);

//Joue les diffrents sons
void PlayMove(void);
void PlayTurn(void);
void PlayDestroy(void);
void PlayDrop(void);


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_SOUNDS_H
