/* sprites.h : Gestion des sprites */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * UltimateTetris                           Copyright (C) 2001, AnTiKoNs *
 *----------------/                                                      *
 * This program is free software; you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by  *
 * the Free Software Foundation; either version 2 of the License, or     *
 * (at your option) any later version.                                   *
 *                                                                       *
 * This program is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 * GNU General Public License for more details.                          *
 *                                                                       *
 * The author of this program may be contacted at antikons@ifrance.com   *
 *                                                                       *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __INC_SPRITES_H
#define __INC_SPRITES_H

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus


#include <ddraw.h>


extern LPDIRECTDRAWSURFACE g_lpDDSBlocks[7];	// Les 7 blocs
extern LPDIRECTDRAWSURFACE g_lpDDSNumber[10];	// Les nombres de 0  9
extern LPDIRECTDRAWSURFACE g_lpDDSBackground;	// L'image de fond
extern LPDIRECTDRAWSURFACE g_lpDDSPause;		// Le dessins '-Pause-'


BOOL LoadSprites(char *path);					// Charge tous les sprites
void UnloadSprites(void);						// Dcharge les sprites


#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__INC_SPRITES_H
